%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Mail-Tools
Version:       2.22
Release:       1mamba
Summary:       Mail tools module for Perl
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/authors/id/M/MA/MARKOV/MailTools-%{version}.tar.gz
License:       GPL
Requires:      perl >= %perl_major_ver, perl-TimeDate >= 1.16
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Net-SMTP-SSL
BuildRequires: perl-TimeDate
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Obsoletes:     perl-MAIL-tools
Provides:      perl-MAIL-tools = %{version}

%description
Mail tools module for Perl.

%prep
%setup -q -n MailTools-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make 
%make test

%install
[[ "%{buildroot}" ]] && rm -rf %{buildroot}
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[[ -z "$packlist" ]] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Fri Nov 22 2024 Automatic Build System <autodist@openmamba.org> 2.22-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 2.21-2mamba
- rebuilt with perl 5.36.0

* Wed Apr 22 2020 Automatic Build System <autodist@mambasoft.it> 2.21-1mamba
- automatic update by autodist

* Thu Oct 26 2017 Automatic Build System <autodist@mambasoft.it> 2.19-1mamba
- automatic update by autodist

* Thu Aug 18 2016 Automatic Build System <autodist@mambasoft.it> 2.18-1mamba
- automatic update by autodist

* Wed Dec 03 2014 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic update by autodist

* Sun Jan 12 2014 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic update by autodist

* Sat Jan 12 2013 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic version update by autodist

* Thu Nov 29 2012 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.09-2mamba
- perl 5.16 mass rebuild

* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.09-1mamba
- update to 2.09

* Fri Oct 08 2010 Automatic Build System <autodist@mambasoft.it> 2.07-1mamba
- automatic update by autodist

* Thu Apr 15 2010 Automatic Build System <autodist@mambasoft.it> 2.06-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 2.05-1mamba
- automatic update by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.04-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.02-2mamba
- automatic rebuild by autodist

* Sat Jun 14 2008 gil <puntogil@libero.it> 2.02-1mamba
- update to 2.02

* Tue Feb 15 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.64-3qilnx
- obsoletes perl-MAIL-tools

* Tue Feb 01 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.64-2qilnx
- rebuilt because of a perl version problem with apt

* Fri Oct 22 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 1.64-1qilnx
- package created by autospec (rebuilt after SRPM loss)

* Wed Sep 03 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.59-1qilnx
- First build
